////
/// Toaster
//

.toast-top-full-width {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1060;
  width: 100%;

  .toast {
    position: relative;
    padding: 10px 50px + $whitespace 10px $whitespace;
    min-height: 70px;
    width: 100%;
    color: white;
    display: flex;
    align-items: flex-start;
    align-content: center;
    flex-wrap: wrap;
    margin-bottom: 10px;
    opacity: 1;
    max-width: 100%;

    .toast-title {
      font-weight: bold;
      flex-shrink: 0;
      width: 100%;
    }

    .toast-message {
      flex-shrink: 0;
      width: 100%;
    }

    &.toast-error {
      background-color: #d0021b;
    }

    &.toast-success {
      background-color: $text-green;
    }

    &.toast-info {
      background-color: $cyan;
    }
  }

  .toast-close-button {
    position: absolute;
    top: calc(50% - 28px);
    right: 15px;
    color: $white;
    font-size: 30px;
    background-color: transparent;
    border: 0;
    padding: 10px;
    &:focus {
      outline: none;
      box-shadow: 0 0 0 $input-btn-focus-width rgba($gray-200, 0.1);
    }
    cursor: pointer;
    line-height: 1;
  }

  @include media-breakpoint-up(md) {
    .toast {
      min-height: 80px;
    }
  }
}
